Bug 732032 - packagegroup list and list_category does not display package groups existing in the repo
Summary: packagegroup list and list_category does not display package groups existing...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 14:30 UTC by Preethi Thomas
Modified: 2012-02-24 20:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-19 14:30:41 UTC
Description of problem:

packagegroup  list and list_category does not display if there are package groups existing in repos you are syncing

Version-Release number of selected component (if applicable):

[root@preethi ~]# rpm -q pulp
pulp-0.0.225-1.fc14.noarch


[root@preethi ~]# pulp-admin packagegroup list --repoid f15
No package groups found in repo [f15]

[root@preethi ~]# pulp-admin packagegroup list --repoid f14
+------------------------------------------+
               Repository: f14
          Package Group Information
+------------------------------------------+
	 test-grp

[root@preethi ~]# pulp-admin packagegroup list_category --repoid f14
No package group categories found in repo [f14]
[root@preethi ~]# pulp-admin packagegroup list_category --repoid f15
No package group categories found in repo [f15]
[root@preethi ~]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Id                 	foo2                     
Name               	foo2                     
Feed URL           	http://bar.example.com/a/b/c/d
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	None                     
Packages           	0                        
Files              	0                        
Distributions      	None                     
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       


Id                 	f14                      
Name               	f14                      
Feed URL           	http://download.devel.redhat.com/released/F-14/GOLD/Fedora/x86_64/os
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	None                     
Packages           	2766                     
Files              	0                        
Distributions      	ks-f14-noarch            
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       


Id                 	f15                      
Name               	f15                      
Feed URL           	http://download.devel.redhat.com/released/F-15/GOLD/Fedora/x86_64/os/
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	None                     
Packages           	2935                     
Files              	0                        
Distributions      	ks-f15-noarch            
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       


[root@preethi ~]# 



Expected results:


Additional info:

Comment 1 John Matthews 2011-09-08 11:54:19 UTC
I'm reassigning this to myself since I'm working on fixing the packagegroup issues today.

Comment 3 Jeff Ortel 2011-09-14 20:27:07 UTC
build: 0.231

Comment 4 Preethi Thomas 2011-09-20 18:04:13 UTC
[root@preethi ~]# rpm -q pulp
pulp-0.0.232-1.fc15.noarch
[root@preethi ~]# 
[root@preethi ~]# pulp-admin -u admin -p admin packagegroup list --repoid f15
+------------------------------------------+
               Repository: f15
          Package Group Information
+------------------------------------------+
	 admin-tools
	 afrikaans-support
	 akan-support
	 albanian-support
	 amazigh-support
	 arabic-support
	 armenian-support
	 assamese-support
	 asturian-support
	 authoring-and-publishing
	 azerbaijani-support
	 base
	 base-x
	 basque-support
	 belarusian-support
	 bengali-support
	 bhutanese-support
	 books
	 bosnian-support
	 brazilian-support
	 breton-support
	 british-support
	 buildsys-build
	 bulgarian-support
	 burmese-support
	 catalan-support
	 chichewa-support
	 chuvash-support
	 clustering
	 coptic-support
	 core
	 critical-path-apps
	 critical-path-base
	 critical-path-gnome
	 critical-path-kde
	 critical-path-lxde
	 critical-path-xfce
	 croatian-support
	 czech-support
	 danish-support
	 design-suite
	 development-libs
	 development-tools
	 dial-up
	 directory-server
	 dns-server
	 dogtag
	 dutch-support
	 eclipse
	 editors
	 education
	 electronic-lab
	 engineering-and-scientific
	 esperanto-support
	 estonian-support
	 ethiopic-support
	 faroese-support
	 fedora-packager
	 fijian-support
	 filesystems
	 filipino-support
	 finnish-support
	 font-design
	 fonts
	 french-support
	 frisian-support
	 friulian-support
	 ftp-server
	 gaelic-support
	 galician-support
	 games
	 georgian-support
	 german-support
	 gnome-desktop
	 gnome-software-development
	 graphical-internet
	 graphics
	 greek-support
	 gujarati-support
	 haitian-creole-support
	 hardware-support
	 haskell
	 hebrew-support
	 hiligaynon-support
	 hindi-support
	 hungarian-support
	 icelandic-support
	 indonesian-support
	 input-methods
	 interlingua-support
	 inuktitut-support
	 irish-support
	 italian-support
	 japanese-support
	 java
	 java-development
	 kannada-support
	 kashmiri-support
	 kashubian-support
	 kazakh-support
	 kde-desktop
	 kde-software-development
	 khmer-support
	 kinyarwanda-support
	 konkani-support
	 korean-support
	 kurdish-support
	 kyrgyz-support
	 lao-support
	 latin-support
	 latvian-support
	 legacy-fonts
	 legacy-network-server
	 legacy-software-development
	 legacy-software-support
	 libreoffice-development
	 lingala-support
	 lithuanian-support
	 low-german-support
	 low-saxon-support
	 lower-sorbian-support
	 lule-sami-support
	 luxembourgish-support
	 lxde-desktop
	 macedonian-support
	 mail-server
	 maithili-support
	 malagasy-support
	 malay-support
	 malayalam-support
	 maltese-support
	 manx-support
	 maori-support
	 marathi-support
	 meego-netbook
	 milkymist
	 mingw32
	 mongolian-support
	 mossi-support
	 mysql
	 nepali-support
	 network-server
	 news-server
	 northern-sami-support
	 northern-sotho-support
	 norwegian-support
	 ocaml
	 occitan-support
	 office
	 online-docs
	 oriya-support
	 oromo-support
	 perl
	 persian-support
	 polish-support
	 portuguese-support
	 printing
	 punjabi-support
	 quechua-support
	 robotics-suite
	 romanian-support
	 ruby
	 russian-support
	 samoan-support
	 sanskrit-support
	 sardinian-support
	 serbian-support
	 server-cfg
	 shuswap-support
	 simplified-chinese-support
	 sindhi-support
	 sinhala-support
	 slovak-support
	 slovenian-support
	 smb-server
	 somali-support
	 sound-and-video
	 southern-ndebele-support
	 southern-sotho-support
	 spanish-support
	 sql-server
	 sugar-desktop
	 swahili-support
	 swati-support
	 swedish-support
	 system-tools
	 tagalog-support
	 tajik-support
	 tamil-support
	 telugu-support
	 tetum-support
	 text-internet
	 thai-support
	 tibetan-support
	 tigrinya-support
	 tonga-support
	 traditional-chinese-support
	 tsonga-support
	 tswana-support
	 turkish-support
	 turkmen-support
	 ukrainian-support
	 upper-sorbian-support
	 urdu-support
	 uzbek-support
	 venda-support
	 vietnamese-support
	 virtualization
	 walloon-support
	 web-development
	 web-server
	 welsh-support
	 window-managers
	 x-software-development
	 xfce-desktop
	 xfce-software-development
	 xhosa-support
	 yiddish-support
	 zulu-support

[root@preethi ~]# pulp-admin -u admin -p admin packagegroup list_category --repoid f15
+------------------------------------------+
               Repository: f15
     Package Group Category Information
+------------------------------------------+
	 apps
	 base-system
	 content
	 desktops
	 development
	 language-support
	 servers

Comment 5 Preethi Thomas 2012-02-24 20:19:08 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 6 Preethi Thomas 2012-02-24 20:19:50 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.